org.apache.hadoop.metrics2

## Interface MetricsPlugin

- All Known Subinterfaces:
    MetricsSink
  All Known Implementing Classes:
    AbstractGangliaSink, org.apache.hadoop.metrics2.filter.AbstractPatternFilter, FileSink, GangliaSink30, GangliaSink31, GlobFilter, GraphiteSink, MetricsFilter, RegexFilter, RollingFileSystemSink, StatsDSink

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public interface MetricsPlugin

  The plugin interface for the metrics framework

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(org.apache.commons.configuration2.SubsetConfiguration conf)` Initialize the plugin

- - ### Method Detail

    - #### init

          void init(org.apache.commons.configuration2.SubsetConfiguration conf)

      Initialize the plugin
      Parameters:
        `conf` - the configuration object for the plugin

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.